Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Arfrever Frehtes Taifersar Arahesis (arfrever)" <arfrever@g.o>
Subject: gentoo-x86 commit in app-admin/eselect-python: eselect-python-20090801.ebuild ChangeLog
Date: Sat, 01 Aug 2009 12:38:06 +0000
arfrever    09/08/01 12:38:06

  Modified:             eselect-python-20090801.ebuild ChangeLog
  Log:
  Use '/bin/bash' for wrapper scripts (bug #279875).
  (Portage version: 13870-svn/cvs/Linux x86_64)

Revision  Changes    Path
1.2                  app-admin/eselect-python/eselect-python-20090801.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/eselect-python/eselect-python-20090801.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/eselect-python/eselect-python-20090801.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/eselect-python/eselect-python-20090801.ebuild?r1=1.1&r2=1.2

Index: eselect-python-20090801.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/eselect-python/eselect-python-20090801.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- eselect-python-20090801.ebuild	1 Aug 2009 02:20:27 -0000	1.1
+++ eselect-python-20090801.ebuild	1 Aug 2009 12:38:05 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-python/eselect-python-20090801.ebuild,v 1.1 2009/08/01 02:20:27 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-python/eselect-python-20090801.ebuild,v 1.2 2009/08/01 12:38:05 arfrever Exp $
 
 DESCRIPTION="Manages multiple Python versions"
 HOMEPAGE="http://www.gentoo.org"
@@ -17,6 +17,9 @@
 src_install() {
 	insinto /usr/share/eselect/modules
 	newins "${WORKDIR}/python.eselect-${PVR}" python.eselect || die "newins python.eselect failed"
+
+	# Fix shebang (bug #279875).
+	sed -e 's:/bin/sh:/bin/bash:' -i "${D}/usr/share/eselect/modules/python.eselect" || die "sed failed"
 }
 
 pkg_preinst() {



1.32                 app-admin/eselect-python/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/eselect-python/ChangeLog?rev=1.32&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/eselect-python/ChangeLog?rev=1.32&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/eselect-python/ChangeLog?r1=1.31&r2=1.32

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/eselect-python/ChangeLog,v
retrieving revision 1.31
retrieving revision 1.32
diff -u -r1.31 -r1.32
--- ChangeLog	1 Aug 2009 02:20:27 -0000	1.31
+++ ChangeLog	1 Aug 2009 12:38:05 -0000	1.32
@@ -1,6 +1,10 @@
 # ChangeLog for app-admin/eselect-python
 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-python/ChangeLog,v 1.31 2009/08/01 02:20:27 arfrever Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-python/ChangeLog,v 1.32 2009/08/01 12:38:05 arfrever Exp $
+
+  01 Aug 2009; Arfrever Frehtes Taifersar Arahesis <arfrever@g.o>
+  eselect-python-20090801.ebuild:
+  Use '/bin/bash' for wrapper scripts (bug #279875).
 
 *eselect-python-20090801 (01 Aug 2009)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo commit in xml/htdocs/security/en/glsa: glsa-200908-01.xml
Next by thread:
gentoo-x86 commit in app-admin/eselect-python: eselect-python-20090801.ebuild ChangeLog
Previous by date:
gentoo commit in xml/htdocs/security/en/glsa: glsa-200908-01.xml
Next by date:
gentoo-x86 commit in dev-python/rpy/files: rpy-2.0.6-setup.patch


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.